<?php
/*
Plugin Name: Save Microformats
Plugin URI: http://notizblog.org/projects/save-microformats/
Description: To save a posted hCal als iCal using with the <a href="http://technorati.com/events/">technorati converter</a>. Just put &lt;!&#8211;&#8211;hcal&#8211;&#8211;&gt; in the post field where the link should be displayed.
Version: 1
Author: Pfefferle
Author URI: http://notizblog.org/
*/

function save_hcal($content) {
	$wrapper = 'http://feeds.technorati.com/event/';
	$imagelink = get_bloginfo('wpurl') . '/wp-content/plugins/save_microformats/icon-hcalendar.png';
	$desc = 'add this event to your favorite calendar';
	$link = '<a href="'.$wrapper.urlencode(get_permalink($post->ID)).'" title="'.$desc.'"><img src="'.$imagelink.'" alt="'.$desc.'" /></a>';
    if (is_single() || is_page()) {
        $content=str_ireplace('<!--save-hcal-->',$link,$content);
    }
    return $content;
}

function save_hcard($content) {
	$wrapper = 'http://feeds.technorati.com/contact/';
	$imagelink = get_bloginfo('wpurl') . '/wp-content/plugins/save_microformats/icon-hcard.png';
	$desc = 'add this contact to your favorite address-book';
	$link = '<a href="'.$wrapper.urlencode(get_permalink($post->ID)).'" title="'.$desc.'"><img src="'.$imagelink.'" alt="'.$desc.'" /></a>';
    if (is_single() || is_page()) {
        $content=str_ireplace('<!--save-hcard-->',$link,$content);
    }
    return $content;
}

add_filter('the_content', 'save_hcal');
add_filter('the_content', 'save_hcard');
?>
